### Method

# Json Serializable serialize_property

#### Declaration [src]

    JsonNode*
    json_serializable_serialize_property (
      JsonSerializable* serializable,
      const gchar* property_name,
      const GValue* value,
      GParamSpec* pspec
    )

#### Description [src]

Asks a `JsonSerializable` implementation to serialize an object property into a JSON node.

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of the property to serialize.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The value of the property to serialize.

  The data is owned by the caller of the function.

`pspec`

  Type: `GParamSpec`

  A property description.

  The data is owned by the caller of the function.

#### Return value

Type: `JsonNode`

A node containing the serialized property.

The caller of the method takes ownership of the data, and is responsible for freeing it.